BANK WOORI SAUDARA - Bug #1992

[ESS-Leave] Tombol Action (Create)
02/07/2023 03:14 PM - Johanes Christian Kurni

Status: Closed Start date: 02/07/2023
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear Azid,

Mohon bantuannya untuk memperbaiki tombol action Create yang belum bisa berjalan.

Cc A Mot secure | remote.minovais.com:

SBWS )

MinovaES Menu Comment:

v [0 My workplace

¥ [ Human Resource

History Comment

TaskName | P.. Date Comment

Create

2023 © PT Minova Infotech Solutions. All Rights Reserved

UserName: 00000145
Password: 123Aa

Port: http://remote.minovais.com:31128/

Server: remote.minovais.com, 1438\MSSQLSERVER2012
DB: MinovaES_BWS_DevProd

Menu: My Workplace > Request > Time Management > Leave

Terima Kasih

History

#1 - 02/07/2023 04:12 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear johanes , udah bisa di test ya

package :

PCMWFDEFBIZPROC (beforeSubmit) :

var isSubmit=1;var body=MinovaUtil. WORKFLOW.getViewBodyWorkflow();var
formLeave=body.down('form[name=PDSWFMDLEAVENEW]').getForm();var
absenceType=body.down('[name=AbsenceType]').getValue();MinovaUtil. ExecuteParamQuery({ID:"LeaveCheckDataOnGoing",stLeave:body.down('[n
ame=StartDate]').getValue(),endLeave:body.down('[name=EndDate]').getValue(),empld:MinovaUti. WORKFLOW.getEmpld(),regld:MinovaUti. WORK
http://remote.minovais.com:31128/

FLOW.getRegld(),langld:MinovaUtil.GetLangID()},function(s){var result=Ext.decode(s.responseText);var dt=Ext.decode(Ext.decode(result.data));if(dt®
.WarningType==="1'){MinovaMessageError("Error",dt’

.Warningld,"");isSubmit=0;}},function(f){});MinovaUtil. ExecuteParamQuery({ID:"LeaveCheckAbsenceType",stLeave:body.down('[name=StartDate]').ge
tValue(),endLeave:body.down('[name=EndDate]').getValue(),empld:MinovaUti. WORKFLOW.getEmpld(),absenceType:absenceType,langld:MinovaU
til.GetLanglD()},function(s){var result=Ext.decode(s.responseText);var dt=Ext.decode(Ext.decode(result.data));if(dt®
WarningType==="1"){MinovaMessageError("Error",dt’

.Warningld,");isSubmit=0;}},function(f){});if(quotaDeduction="Y"){MinovaUtil. ExecuteParamQuery({ID:"LeaveUpdateRemainingQuotaSave",empld:Min
ovaUti. WORKFLOW.getEmpld(),startDate:body.down('[name=QuotaStartDate]').getValue(),endDate:body.down([name=QuotaEndDate]').getValue(),
startDate2:body.down('[name=QuotaStartDate2]').getValue(),endDate2:body.down('[name=QuotaEndDate2]').getValue(),quotaType:body.down('[nam
e=AbsenceQuotaType]').getValue(),quotaTaken:body.down('[name=QuotaTaken]').getValue(),quotaTaken2:body.down('[name=QuotaTaken2]').getV
alue()},function(s){var result=Ext.decode(s.responseText);var dt=Ext.decode(Ext.decode(result.data));formLeave.setValues(dt®):},function(f){});}
if(isSubmit===1){submit();}

dan custparam (LeaveCheckDataOnGoing) :

/*DECLARE @empld VARCHAR='00000027' DECLARE @stLeave VARCHAR= '20170403' DECLARE @endLeave VARCHAR= '20170403'
DECLARE @langld VARCHAR='IDN' DECLARE @regld VARCHAR='230"*/ DECLARE @Warningld VARCHAR= ( SELECT Messageld FROM
dbo.SMESSAGECATALOG WHERE Messageld = ' TMLEAVEREQ' AND Langld = @langld ) DECLARE @data VARCHAR= ( SELECT COUNT
FROM dbo.PCMWFRUNMAIN WHERE BizflowID = 'MD_LeaveNEW' AND EmpIDCreate = @empld AND (TaskStatusLast = 'W' OR
WorkflowStatus = 'U') AND RegID <> @regld ) IF @data = '0' BEGIN SELECT '0' AS WarningType , " AS Warningld END ELSE BEGIN SELECT '1'
AS WarningType , @Warningld AS Warningld END

makasih

#2 - 02/07/2023 04:13 PM - Johanes Christian Kurni

Belum bisa jalan, lagi nunggu di pindahin dulu ke 66

#3 - 02/22/2023 04:35 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Files

clipboard-202302071513-ijuoa.png 46.6 KB 02/07/2023 Johanes Christian Kurni
